unit mainform;

interface

uses
  System.Drawing, System.Collections, System.ComponentModel,
  System.Windows.Forms, System.Data, System.Resources;

type
  Tmainform = class(System.Windows.Forms.Form)
  {$REGION 'Designer Managed Code'}
  strict private
    /// <summary>
    /// Required designer variable.
    /// </summary>
    components: System.ComponentModel.IContainer;
    Menuintro: System.Windows.Forms.MenuItem;
    Menuinfo_sp3: System.Windows.Forms.MenuItem;
    Menuabout: System.Windows.Forms.MenuItem;
    Menuinfo_sp4: System.Windows.Forms.MenuItem;
    Menuagenda: System.Windows.Forms.MenuItem;
    Menuinfo_sp1: System.Windows.Forms.MenuItem;
    Menucalc: System.Windows.Forms.MenuItem;
    Menuinfo_sp2: System.Windows.Forms.MenuItem;
    Menubook: System.Windows.Forms.MenuItem;
    ToolBarbook: System.Windows.Forms.ToolBarButton;
    ToolBarButton3: System.Windows.Forms.ToolBarButton;
    ToolBaragenda: System.Windows.Forms.ToolBarButton;
    ToolBarButton5: System.Windows.Forms.ToolBarButton;
    ToolBarcalc: System.Windows.Forms.ToolBarButton;
    ImageList1: System.Windows.Forms.ImageList;
    Menuexit: System.Windows.Forms.MenuItem;
    ToolBarButton1: System.Windows.Forms.ToolBarButton;
    ToolBar1: System.Windows.Forms.ToolBar;
    ToolBarButton7: System.Windows.Forms.ToolBarButton;
    ToolBarintro: System.Windows.Forms.ToolBarButton;
    ToolBarButton9: System.Windows.Forms.ToolBarButton;
    ToolBarabout: System.Windows.Forms.ToolBarButton;
    MainMenu1: System.Windows.Forms.MainMenu;
    Menutools: System.Windows.Forms.MenuItem;
    MenuIquit: System.Windows.Forms.MenuItem;
    lblb: System.Windows.Forms.Label;
    Panel1: System.Windows.Forms.Panel;
    btntools: System.Windows.Forms.Button;
    Panel11: System.Windows.Forms.Panel;
    pic_calculator: System.Windows.Forms.PictureBox;
    pic_booknote: System.Windows.Forms.PictureBox;
    pic_agenda: System.Windows.Forms.PictureBox;
    pic_intro: System.Windows.Forms.PictureBox;
    pic_about: System.Windows.Forms.PictureBox;
    Timer1: System.Windows.Forms.Timer;
    lrbt: System.Windows.Forms.Label;
    ltimer: System.Windows.Forms.Label;
    /// <summary>
    /// Required method for Designer support - do not modify
    /// the contents of this method with the code editor.
    /// </summary>
    procedure InitializeComponent;
    procedure Menucalc_Click(sender: System.Object; e: System.EventArgs);
    procedure Menubook_Click(sender: System.Object; e: System.EventArgs);
    procedure Menuagenda_Click(sender: System.Object; e: System.EventArgs);
    procedure Menuintro_Click(sender: System.Object; e: System.EventArgs);
    procedure Menuabout_Click(sender: System.Object; e: System.EventArgs);
    procedure MenuIquit_Click(sender: System.Object; e: System.EventArgs);
    procedure ToolBar1_ButtonClick(sender: System.Object; e: System.Windows.Forms.ToolBarButtonClickEventArgs);
    procedure Tmainform_Load(sender: System.Object; e: System.EventArgs);
    procedure Tmainform_Closing(sender: System.Object; e: System.ComponentModel.CancelEventArgs);
    procedure lblb_MouseMove(sender: System.Object; e: System.Windows.Forms.MouseEventArgs);
    procedure Tmainform_MouseMove(sender: System.Object; e: System.Windows.Forms.MouseEventArgs);
    procedure pic_calculator_Click(sender: System.Object; e: System.EventArgs);
    procedure pic_booknote_Click(sender: System.Object; e: System.EventArgs);
    procedure pic_intro_Click(sender: System.Object; e: System.EventArgs);
    procedure pic_about_Click(sender: System.Object; e: System.EventArgs);
    procedure pic_agenda_Click(sender: System.Object; e: System.EventArgs);
    procedure btntools_Click(sender: System.Object; e: System.EventArgs);
    procedure Timer1_Tick(sender: System.Object; e: System.EventArgs);
  {$ENDREGION}
  strict protected
    /// <summary>
    /// Clean up any resources being used.
    /// </summary>
    procedure Dispose(Disposing: Boolean); override;
  private
    { Private Declarations }
    procedure sub_close;
    procedure sub_calculator;
    procedure sub_book;
    procedure sub_agenda;
    procedure sub_intro;
    procedure sub_about;
    procedure Sub_Top1;
  public
    constructor Create;
       class function Title: string;
       class function current_path: string;
  end;

  [assembly: RuntimeRequiredAttribute(TypeOf(Tmainform))]

implementation
uses
about, introductory, calculator, agenda, book_note, agenda_time;

var
flg_close: Boolean;

{$REGION 'Windows Form Designer generated code'}
/// <summary>
/// Required method for Designer support -- do not modify
/// the contents of this method with the code editor.
/// </summary>
procedure Tmainform.InitializeComponent;
type
  TSystem_Windows_Forms_MenuItemArray = array of System.Windows.Forms.MenuItem;
  TSystem_Windows_Forms_ToolBarButtonArray = array of System.Windows.Forms.ToolBarButton;
var
  resources: System.Resources.ResourceManager;
begin
  Self.components := System.ComponentModel.Container.Create;
  resources := System.Resources.ResourceManager.Create(TypeOf(Tmainform));
  Self.Menuintro := System.Windows.Forms.MenuItem.Create;
  Self.Menuinfo_sp3 := System.Windows.Forms.MenuItem.Create;
  Self.Menuabout := System.Windows.Forms.MenuItem.Create;
  Self.Menuinfo_sp4 := System.Windows.Forms.MenuItem.Create;
  Self.Menuagenda := System.Windows.Forms.MenuItem.Create;
  Self.Menuinfo_sp1 := System.Windows.Forms.MenuItem.Create;
  Self.Menucalc := System.Windows.Forms.MenuItem.Create;
  Self.Menuinfo_sp2 := System.Windows.Forms.MenuItem.Create;
  Self.Menubook := System.Windows.Forms.MenuItem.Create;
  Self.ToolBarbook := System.Windows.Forms.ToolBarButton.Create;
  Self.ToolBarButton3 := System.Windows.Forms.ToolBarButton.Create;
  Self.ToolBaragenda := System.Windows.Forms.ToolBarButton.Create;
  Self.ToolBarButton5 := System.Windows.Forms.ToolBarButton.Create;
  Self.ToolBarcalc := System.Windows.Forms.ToolBarButton.Create;
  Self.ImageList1 := System.Windows.Forms.ImageList.Create(Self.components);
  Self.Menuexit := System.Windows.Forms.MenuItem.Create;
  Self.MenuIquit := System.Windows.Forms.MenuItem.Create;
  Self.ToolBarButton1 := System.Windows.Forms.ToolBarButton.Create;
  Self.ToolBar1 := System.Windows.Forms.ToolBar.Create;
  Self.ToolBarButton7 := System.Windows.Forms.ToolBarButton.Create;
  Self.ToolBarintro := System.Windows.Forms.ToolBarButton.Create;
  Self.ToolBarButton9 := System.Windows.Forms.ToolBarButton.Create;
  Self.ToolBarabout := System.Windows.Forms.ToolBarButton.Create;
  Self.MainMenu1 := System.Windows.Forms.MainMenu.Create;
  Self.Menutools := System.Windows.Forms.MenuItem.Create;
  Self.lblb := System.Windows.Forms.Label.Create;
  Self.Panel1 := System.Windows.Forms.Panel.Create;
  Self.Panel11 := System.Windows.Forms.Panel.Create;
  Self.pic_about := System.Windows.Forms.PictureBox.Create;
  Self.pic_intro := System.Windows.Forms.PictureBox.Create;
  Self.pic_agenda := System.Windows.Forms.PictureBox.Create;
  Self.pic_booknote := System.Windows.Forms.PictureBox.Create;
  Self.pic_calculator := System.Windows.Forms.PictureBox.Create;
  Self.btntools := System.Windows.Forms.Button.Create;
  Self.Timer1 := System.Windows.Forms.Timer.Create(Self.components);
  Self.lrbt := System.Windows.Forms.Label.Create;
  Self.ltimer := System.Windows.Forms.Label.Create;
  Self.Panel1.SuspendLayout;
  Self.Panel11.SuspendLayout;
  Self.SuspendLayout;
  // 
  // Menuintro
  // 
  Self.Menuintro.Index := 6;
  Self.Menuintro.Text := 'introductory';
  Include(Self.Menuintro.Click, Self.Menuintro_Click);
  // 
  // Menuinfo_sp3
  // 
  Self.Menuinfo_sp3.Index := 5;
  Self.Menuinfo_sp3.Text := '-';
  // 
  // Menuabout
  // 
  Self.Menuabout.Index := 8;
  Self.Menuabout.Text := 'about';
  Include(Self.Menuabout.Click, Self.Menuabout_Click);
  // 
  // Menuinfo_sp4
  // 
  Self.Menuinfo_sp4.Index := 7;
  Self.Menuinfo_sp4.Text := '-';
  // 
  // Menuagenda
  // 
  Self.Menuagenda.Index := 4;
  Self.Menuagenda.Text := 'agenda';
  Include(Self.Menuagenda.Click, Self.Menuagenda_Click);
  // 
  // Menuinfo_sp1
  // 
  Self.Menuinfo_sp1.Index := 1;
  Self.Menuinfo_sp1.Text := '-';
  // 
  // Menucalc
  // 
  Self.Menucalc.Index := 0;
  Self.Menucalc.Text := 'calculator';
  Include(Self.Menucalc.Click, Self.Menucalc_Click);
  // 
  // Menuinfo_sp2
  // 
  Self.Menuinfo_sp2.Index := 3;
  Self.Menuinfo_sp2.Text := '-';
  // 
  // Menubook
  // 
  Self.Menubook.Index := 2;
  Self.Menubook.Text := 'book note';
  Include(Self.Menubook.Click, Self.Menubook_Click);
  // 
  // ToolBarbook
  // 
  Self.ToolBarbook.ImageIndex := 1;
  // 
  // ToolBarButton3
  // 
  Self.ToolBarButton3.Style := System.Windows.Forms.ToolBarButtonStyle.Separator;
  // 
  // ToolBaragenda
  // 
  Self.ToolBaragenda.ImageIndex := 2;
  // 
  // ToolBarButton5
  // 
  Self.ToolBarButton5.Style := System.Windows.Forms.ToolBarButtonStyle.Separator;
  // 
  // ToolBarcalc
  // 
  Self.ToolBarcalc.ImageIndex := 0;
  // 
  // ImageList1
  // 
  Self.ImageList1.ImageSize := System.Drawing.Size.Create(56, 36);
  Self.ImageList1.ImageStream := (System.Windows.Forms.ImageListStreamer(resources.GetObject('ImageList1.ImageStream')));
  Self.ImageList1.TransparentColor := System.Drawing.Color.Transparent;
  // 
  // Menuexit
  // 
  Self.Menuexit.Index := 1;
  Self.Menuexit.MenuItems.AddRange(TSystem_Windows_Forms_MenuItemArray.Create(Self.MenuIquit));
  Self.Menuexit.Text := 'exit';
  // 
  // MenuIquit
  // 
  Self.MenuIquit.Index := 0;
  Self.MenuIquit.Text := 'quit';
  Include(Self.MenuIquit.Click, Self.MenuIquit_Click);
  // 
  // ToolBarButton1
  // 
  Self.ToolBarButton1.Style := System.Windows.Forms.ToolBarButtonStyle.Separator;
  // 
  // ToolBar1
  // 
  Self.ToolBar1.BorderStyle := System.Windows.Forms.BorderStyle.Fixed3D;
  Self.ToolBar1.Buttons.AddRange(TSystem_Windows_Forms_ToolBarButtonArray.Create(Self.ToolBarButton1, 
          Self.ToolBarcalc, Self.ToolBarButton3, Self.ToolBarbook, Self.ToolBarButton5, 
          Self.ToolBaragenda, Self.ToolBarButton7, Self.ToolBarintro, Self.ToolBarButton9, 
          Self.ToolBarabout));
  Self.ToolBar1.ButtonSize := System.Drawing.Size.Create(54, 33);
  Self.ToolBar1.DropDownArrows := True;
  Self.ToolBar1.ImageList := Self.ImageList1;
  Self.ToolBar1.Location := System.Drawing.Point.Create(0, 0);
  Self.ToolBar1.Name := 'ToolBar1';
  Self.ToolBar1.ShowToolTips := True;
  Self.ToolBar1.Size := System.Drawing.Size.Create(932, 50);
  Self.ToolBar1.TabIndex := 1;
  Include(Self.ToolBar1.ButtonClick, Self.ToolBar1_ButtonClick);
  // 
  // ToolBarButton7
  // 
  Self.ToolBarButton7.Style := System.Windows.Forms.ToolBarButtonStyle.Separator;
  // 
  // ToolBarintro
  // 
  Self.ToolBarintro.ImageIndex := 3;
  // 
  // ToolBarButton9
  // 
  Self.ToolBarButton9.Style := System.Windows.Forms.ToolBarButtonStyle.Separator;
  // 
  // ToolBarabout
  // 
  Self.ToolBarabout.ImageIndex := 4;
  // 
  // MainMenu1
  // 
  Self.MainMenu1.MenuItems.AddRange(TSystem_Windows_Forms_MenuItemArray.Create(Self.Menutools, 
          Self.Menuexit));
  // 
  // Menutools
  // 
  Self.Menutools.Index := 0;
  Self.Menutools.MenuItems.AddRange(TSystem_Windows_Forms_MenuItemArray.Create(Self.Menucalc, 
          Self.Menuinfo_sp1, Self.Menubook, Self.Menuinfo_sp2, Self.Menuagenda, 
          Self.Menuinfo_sp3, Self.Menuintro, Self.Menuinfo_sp4, Self.Menuabout));
  Self.Menutools.Text := 'Tools';
  // 
  // lblb
  // 
  Self.lblb.Location := System.Drawing.Point.Create(16, 64);
  Self.lblb.Name := 'lblb';
  Self.lblb.Size := System.Drawing.Size.Create(40, 24);
  Self.lblb.TabIndex := 2;
  Include(Self.lblb.MouseMove, Self.lblb_MouseMove);
  // 
  // Panel1
  // 
  Self.Panel1.BackColor := System.Drawing.Color.DarkGray;
  Self.Panel1.Controls.Add(Self.Panel11);
  Self.Panel1.Controls.Add(Self.btntools);
  Self.Panel1.Location := System.Drawing.Point.Create(8, 90);
  Self.Panel1.Name := 'Panel1';
  Self.Panel1.Size := System.Drawing.Size.Create(156, 630);
  Self.Panel1.TabIndex := 3;
  Self.Panel1.Visible := False;
  // 
  // Panel11
  // 
  Self.Panel11.BackgroundImage := (System.Drawing.Image(resources.GetObject('Panel11.BackgroundImage')));
  Self.Panel11.Controls.Add(Self.pic_about);
  Self.Panel11.Controls.Add(Self.pic_intro);
  Self.Panel11.Controls.Add(Self.pic_agenda);
  Self.Panel11.Controls.Add(Self.pic_booknote);
  Self.Panel11.Controls.Add(Self.pic_calculator);
  Self.Panel11.Location := System.Drawing.Point.Create(0, 32);
  Self.Panel11.Name := 'Panel11';
  Self.Panel11.Size := System.Drawing.Size.Create(156, 576);
  Self.Panel11.TabIndex := 1;
  // 
  // pic_about
  // 
  Self.pic_about.Image := (System.Drawing.Image(resources.GetObject('pic_about.Image')));
  Self.pic_about.Location := System.Drawing.Point.Create(8, 448);
  Self.pic_about.Name := 'pic_about';
  Self.pic_about.Size := System.Drawing.Size.Create(135, 74);
  Self.pic_about.SizeMode := System.Windows.Forms.PictureBoxSizeMode.AutoSize;
  Self.pic_about.TabIndex := 4;
  Self.pic_about.TabStop := False;
  Include(Self.pic_about.Click, Self.pic_about_Click);
  // 
  // pic_intro
  // 
  Self.pic_intro.Image := (System.Drawing.Image(resources.GetObject('pic_intro.Image')));
  Self.pic_intro.Location := System.Drawing.Point.Create(11, 336);
  Self.pic_intro.Name := 'pic_intro';
  Self.pic_intro.Size := System.Drawing.Size.Create(135, 74);
  Self.pic_intro.SizeMode := System.Windows.Forms.PictureBoxSizeMode.AutoSize;
  Self.pic_intro.TabIndex := 3;
  Self.pic_intro.TabStop := False;
  Include(Self.pic_intro.Click, Self.pic_intro_Click);
  // 
  // pic_agenda
  // 
  Self.pic_agenda.Image := (System.Drawing.Image(resources.GetObject('pic_agenda.Image')));
  Self.pic_agenda.Location := System.Drawing.Point.Create(11, 224);
  Self.pic_agenda.Name := 'pic_agenda';
  Self.pic_agenda.Size := System.Drawing.Size.Create(135, 74);
  Self.pic_agenda.SizeMode := System.Windows.Forms.PictureBoxSizeMode.AutoSize;
  Self.pic_agenda.TabIndex := 2;
  Self.pic_agenda.TabStop := False;
  Include(Self.pic_agenda.Click, Self.pic_agenda_Click);
  // 
  // pic_booknote
  // 
  Self.pic_booknote.Image := (System.Drawing.Image(resources.GetObject('pic_booknote.Image')));
  Self.pic_booknote.Location := System.Drawing.Point.Create(11, 120);
  Self.pic_booknote.Name := 'pic_booknote';
  Self.pic_booknote.Size := System.Drawing.Size.Create(135, 74);
  Self.pic_booknote.SizeMode := System.Windows.Forms.PictureBoxSizeMode.AutoSize;
  Self.pic_booknote.TabIndex := 1;
  Self.pic_booknote.TabStop := False;
  Include(Self.pic_booknote.Click, Self.pic_booknote_Click);
  // 
  // pic_calculator
  // 
  Self.pic_calculator.Image := (System.Drawing.Image(resources.GetObject('pic_calculator.Image')));
  Self.pic_calculator.Location := System.Drawing.Point.Create(8, 24);
  Self.pic_calculator.Name := 'pic_calculator';
  Self.pic_calculator.Size := System.Drawing.Size.Create(135, 74);
  Self.pic_calculator.SizeMode := System.Windows.Forms.PictureBoxSizeMode.AutoSize;
  Self.pic_calculator.TabIndex := 0;
  Self.pic_calculator.TabStop := False;
  Include(Self.pic_calculator.Click, Self.pic_calculator_Click);
  // 
  // btntools
  // 
  Self.btntools.Font := System.Drawing.Font.Create('Microsoft Sans Serif', 8.25, 
      System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, (Byte(178)));
  Self.btntools.Location := System.Drawing.Point.Create(4, 0);
  Self.btntools.Name := 'btntools';
  Self.btntools.Size := System.Drawing.Size.Create(150, 20);
  Self.btntools.TabIndex := 0;
  Self.btntools.Text := 'Tools';
  Include(Self.btntools.Click, Self.btntools_Click);
  // 
  // Timer1
  // 
  Self.Timer1.Enabled := True;
  Include(Self.Timer1.Tick, Self.Timer1_Tick);
  // 
  // lrbt
  // 
  Self.lrbt.BackColor := System.Drawing.SystemColors.Control;
  Self.lrbt.Font := System.Drawing.Font.Create('Times New Roman', 13, System.Drawing.FontStyle.Bold, 
      System.Drawing.GraphicsUnit.Point, (Byte(178)));
  Self.lrbt.ForeColor := System.Drawing.Color.Navy;
  Self.lrbt.Location := System.Drawing.Point.Create(720, 8);
  Self.lrbt.Name := 'lrbt';
  Self.lrbt.Size := System.Drawing.Size.Create(160, 22);
  Self.lrbt.TabIndex := 4;
  Self.lrbt.Text := 'work .net system';
  Self.lrbt.TextAlign := System.Drawing.ContentAlignment.MiddleCenter;
  // 
  // ltimer
  // 
  Self.ltimer.BackColor := System.Drawing.SystemColors.Control;
  Self.ltimer.Font := System.Drawing.Font.Create('Times New Roman', 9, System.Drawing.FontStyle.Bold, 
      System.Drawing.GraphicsUnit.Point, (Byte(178)));
  Self.ltimer.ForeColor := System.Drawing.Color.Navy;
  Self.ltimer.Location := System.Drawing.Point.Create(744, 32);
  Self.ltimer.Name := 'ltimer';
  Self.ltimer.Size := System.Drawing.Size.Create(128, 20);
  Self.ltimer.TabIndex := 5;
  Self.ltimer.TextAlign := System.Drawing.ContentAlignment.MiddleCenter;
  // 
  // Tmainform
  // 
  Self.AutoScaleBaseSize := System.Drawing.Size.Create(5, 13);
  Self.BackColor := System.Drawing.Color.Navy;
  Self.ClientSize := System.Drawing.Size.Create(932, 732);
  Self.Controls.Add(Self.ltimer);
  Self.Controls.Add(Self.lrbt);
  Self.Controls.Add(Self.Panel1);
  Self.Controls.Add(Self.lblb);
  Self.Controls.Add(Self.ToolBar1);
  Self.MaximizeBox := False;
  Self.Menu := Self.MainMenu1;
  Self.Name := 'Tmainform';
  Self.StartPosition := System.Windows.Forms.FormStartPosition.CenterScreen;
  Self.Text := 'work application, Borland Delphi .net - main';
  Self.WindowState := System.Windows.Forms.FormWindowState.Maximized;
  Include(Self.Closing, Self.Tmainform_Closing);
  Include(Self.Load, Self.Tmainform_Load);
  Include(Self.MouseMove, Self.Tmainform_MouseMove);
  Self.Panel1.ResumeLayout(False);
  Self.Panel11.ResumeLayout(False);
  Self.ResumeLayout(False);
end;
{$ENDREGION}

procedure Tmainform.Dispose(Disposing: Boolean);
begin
  if Disposing then
  begin
    if Components <> nil then
      Components.Dispose();
  end;
  inherited Dispose(Disposing);
end;

constructor Tmainform.Create;
begin
  inherited Create;
  //
  // Required for Windows Form Designer support
  //
  InitializeComponent;
  //
  // TODO: Add any constructor code after InitializeComponent call
  //
end;

class function Tmainform.Title: string;
begin
    result := 'work .net application, Message';
end;

class function Tmainform.current_path: string;
begin
    result := 'C:\work_Delphinet';
end;



procedure Tmainform.Tmainform_Load(sender: System.Object; e: System.EventArgs);
var
varr: integer;
begin
		//resize

        Self.Lrbt.Left := Self.ToolBar1.Width - (Self.Lrbt.Width + 30);
        Self.Lrbt.Top := 2;

        Self.ltimer.Left := Self.Lrbt.Left + ((Self.Lrbt.Width - Self.ltimer.Width) div 2);
        Self.ltimer.Top := Self.Lrbt.Top + Self.Lrbt.Height;

        Self.lblb.Width := Self.Panel1.Width div 5;
        Self.lblb.Left := 4;
        Self.lblb.Top := Self.ToolBar1.Top + Self.ToolBar1.Height + 6;

        Self.Panel1.Left := Self.lblb.Left;
        Self.Panel1.Top := Self.lblb.Top;
        Self.Panel1.Height := Self.Height - (Self.ToolBar1.Height * 6 div 2);

        Self.Panel11.Width := Self.Panel1.Width;

        Self.Btntools.Width := Self.Panel11.Width;

        Self.Panel11.Height := Self.Panel1.Height - (Self.Btntools.Height * 1) + 8;

        Self.Panel11.Left := 0;

        Self.Pic_booknote.Left := Self.Pic_calculator.Left;
        Self.Pic_agenda.Left := Self.Pic_calculator.Left;
        Self.Pic_intro.Left := Self.Pic_calculator.Left;
        Self.Pic_about.Left := Self.Pic_about.Left;


        varr := (Self.Panel11.Height - (Self.Pic_calculator.Height * 5)) div 7;
        Self.Pic_calculator.Top := varr;
        Self.Pic_booknote.Top := Self.Pic_calculator.Top + Self.Pic_calculator.Height + varr;
        Self.Pic_agenda.Top := Self.Pic_booknote.Top + Self.Pic_booknote.Height + varr;
        Self.Pic_intro.Top := Self.Pic_agenda.Top + Self.Pic_agenda.Height + varr;
        Self.Pic_about.Top := Self.Pic_intro.Top + Self.Pic_intro.Height + varr;

        Self.Lrbt.Visible := true;
        Self.ltimer.Visible := true;
   flg_close := true;

end;

procedure Tmainform.Timer1_Tick(sender: System.Object; e: System.EventArgs);
begin
   // Time ...
			Self.ltimer.Text := System.DateTime.Now.ToLongTimeString;
end;

procedure Tmainform.Tmainform_Closing(sender: System.Object; e: System.ComponentModel.CancelEventArgs);
var
 response: System.Windows.Forms.DialogResult;
 msg_inf: string;
begin

   If (flg_close = true) Then
   begin
        msg_inf := 'are you sure want to exit Work .net';
        response := messagebox.Show(msg_inf, Tmainform.Title, MessageBoxButtons.YesNo, System.Windows.Forms.MessageBoxIcon.Information);
         	flg_close := false;
	 end;
   If (response = System.Windows.Forms.DialogResult.Yes) Then
   begin
      close;
   end;
      If (response = System.Windows.Forms.DialogResult.No) Then
      begin
         e.Cancel := true;
         //e.set_Cancel(true);
         flg_close := true;
      end;
end;

procedure Tmainform.Menucalc_Click(sender: System.Object; e: System.EventArgs);
begin
       sub_calculator;
end;

procedure Tmainform.sub_calculator;
begin
    calculator.Tcalculator.Showcalculator;
end;

procedure Tmainform.Menubook_Click(sender: System.Object; e: System.EventArgs);
begin
       sub_book;
end;

procedure Tmainform.sub_book;
begin
    book_note.Tbook_note.Showbook_note;
end;

procedure Tmainform.Menuagenda_Click(sender: System.Object; e: System.EventArgs);
begin
    sub_agenda;
end;

procedure Tmainform.sub_agenda;
begin
   agenda.Tagenda.Showagenda;
end;

procedure Tmainform.Menuintro_Click(sender: System.Object; e: System.EventArgs);
begin
     sub_intro;
end;

procedure Tmainform.sub_intro;
begin
   introductory.Tintroductory.Showintroductory;
end;

procedure Tmainform.Menuabout_Click(sender: System.Object; e: System.EventArgs);
begin
        sub_about;
end;

procedure Tmainform.sub_about;
begin
   about.Tabout.Showabout;
end;

procedure Tmainform.MenuIquit_Click(sender: System.Object; e: System.EventArgs);
begin
   sub_close;
end;

procedure Tmainform.sub_close;
var
 response: System.Windows.Forms.DialogResult;
 msg_inf: string;
begin

   If (flg_close = true) Then
   begin
        msg_inf := 'are you sure want to exit Work .net';
        response := messagebox.Show(msg_inf, Tmainform.Title, MessageBoxButtons.YesNo, System.Windows.Forms.MessageBoxIcon.Information);
         	flg_close := false;
	 end;
   If (response = System.Windows.Forms.DialogResult.Yes) Then
   begin
      close;
   end;
      If (response = System.Windows.Forms.DialogResult.No) Then
      begin
         flg_close := true;
      end;
end;

procedure Tmainform.ToolBar1_ButtonClick(sender: System.Object; e: System.Windows.Forms.ToolBarButtonClickEventArgs);
begin

   case self.ToolBar1.Buttons.IndexOf(e.button) of
        1: sub_calculator;     //calculator
        3: sub_book;          //book note
        5: sub_agenda;        //agenda
        7: sub_intro;         //introductory
        9: sub_about;         //about

   end
end;

 procedure Tmainform.lblb_MouseMove(sender: System.Object; e: System.Windows.Forms.MouseEventArgs);
begin
     Self.Panel1.Visible := true;
		Sub_Top1;
end;

procedure Tmainform.Sub_Top1;
begin
		Self.Panel11.Visible := true;
		Self.Btntools.Top := 4;

end;

procedure Tmainform.Tmainform_MouseMove(sender: System.Object; e: System.Windows.Forms.MouseEventArgs);
begin
    Self.Panel1.Visible := false;
end;

procedure Tmainform.btntools_Click(sender: System.Object; e: System.EventArgs);
begin
     Sub_Top1;
end;

procedure Tmainform.pic_calculator_Click(sender: System.Object; e: System.EventArgs);
begin
        sub_calculator;     //calculator
end;

procedure Tmainform.pic_booknote_Click(sender: System.Object; e: System.EventArgs);
begin
       sub_book;          //book note
end;

procedure Tmainform.pic_agenda_Click(sender: System.Object; e: System.EventArgs);
begin
    sub_agenda;        //agenda
end;

procedure Tmainform.pic_intro_Click(sender: System.Object; e: System.EventArgs);
begin
    sub_intro;         //introductory
end;

procedure Tmainform.pic_about_Click(sender: System.Object; e: System.EventArgs);
begin
       sub_about;         //about
end;


end.
